//
// This file is auto-generated by script docgen.py.
// DO NOT EDIT BY HAND!
//
[[command_fset_fset]]
* `+fset+`: fast set WeeChat and plugins options

----
/fset  -bar
       -refresh
       -up|-down [<number>]
       -left|-right [<percent>]
       -go <line>|end
       -toggle
       -add [<value>]
       -reset
       -unset
       -set
       -setnew
       -append
       -mark
       -format
       -export [-help|-nohelp] <filename>
       <filter>

       -bar: add the help bar
   -refresh: refresh list of options, then whole screen (command: /window refresh)
        -up: move the selected line up by "number" lines
      -down: move the selected line down by "number" lines
      -left: scroll the fset buffer by "percent" of width on the left
     -right: scroll the fset buffer by "percent" of width on the right
        -go: select a line by number, first line number is 0 ("end" to select the last line)
    -toggle: toggle the boolean value
       -add: add "value" (which can be a negative number) for integers and colors, set/append to value for other types (set for a negative value, append for a positive value)
     -reset: reset the value of option
     -unset: unset the option
       -set: add the /set command in input to edit the value of option (move the cursor at the beginning of value)
    -setnew: add the /set command in input to edit a new value for the option
    -append: add the /set command to append something in the value of option (move the cursor at the end of value)
      -mark: toggle mark
    -format: switch to the next available format
    -export: export the options and values displayed in a file (each line has format: "/set name value" or "/unset name")
      -help: force writing of help on options in exported file (see /help fset.look.export_help_default)
    -nohelp: do not write help on options in exported file (see /help fset.look.export_help_default)
     filter: set a new filter to see only matching options (this filter can be used as input in fset buffer as well); allowed formats are:
               *       show all options (no filter)
               xxx     show only options with "xxx" in name
               f:xxx   show only configuration file "xxx"
               t:xxx   show only type "xxx" (bool/int/str/col)
               d       show only changed options
               d:xxx   show only changed options with "xxx" in name
               d=xxx   show only changed options with "xxx" in value
               d==xxx  show only changed options with exact value "xxx"
               =xxx    show only options with "xxx" in value
               ==xxx   show only options with exact value "xxx"
               c:xxx   show only options matching the evaluated condition "xxx", using following variables: file, section, option, name, parent_name, type, type_en, type_short (bool/int/str/col), type_tiny (b/i/s/c), default_value, default_value_undef, value, quoted_value, value_undef, value_changed, parent_value, min, max, description, description2, description_en, description_en2, string_values

The lines with options are displayed using string evaluation (see /help eval for the format), with these options:
  - fset.format.option1: first format for an option
  - fset.format.option2: second format for an option

The following variables can be used in these options:
  - option data, with color and padded by spaces on the right:
    - ${file}: configuration file (for example "weechat" or "irc")
    - ${section}: section
    - ${option}: option name
    - ${name}: full option name (file.section.option)
    - ${parent_name}: parent option name
    - ${type}: option type (translated)
    - ${type_en}: option type (in English)
    - ${type_short}: short option type (bool/int/str/col)
    - ${type_tiny}: tiny option type (b/i/s/c)
    - ${default_value}: option default value
    - ${default_value_undef}: "1" if default value is null, otherwise "0"
    - ${value}: option value
    - ${value_undef}: "1" if value is null, otherwise "0"
    - ${value_changed}: "1" if value is different from default value, otherwise "0"
    - ${value2}: option value, with inherited value if null
    - ${parent_value}: parent option value
    - ${min}: min value
    - ${max}: max value
    - ${description}: option description (translated)
    - ${description2}: option description (translated), "(no description)" (translated) if there's no description
    - ${description_en}: option description (in English)
    - ${description_en2}: option description (in English), "(no description)" if there's no description
    - ${string_values}: string values allowed for set of an integer option using strings
    - ${marked}: "1" if option is marked, otherwise "0"
    - ${index}: index of option in list
  - option data, with color but no spaces:
    - same names prefixed by underscore, for example: ${_name}, ${_type}, ...
  - option data, raw format (no colors/spaces):
    - same names prefixed by two underscores, for example: ${__name}, ${__type}, ...
  - option data, only spaces:
    - same names prefixed with "empty_", for example: ${empty_name}, ${empty_type}
  - other data:
    - ${selected_line}: "1" if the line is selected, otherwise "0"
    - ${newline}: insert a new line at point, so the option is displayed on multiple lines

Keys and input to move in on fset buffer:
  up                        move one line up
  down                      move one line down
  pgup                      move one page up
  pgdn                      move one page down
  alt-home          <<      move to first line
  alt-end           >>      move to last line
  F11               <       scroll horizontally on the left
  F12               >       scroll horizontally on the right

Keys and input to set options on fset buffer:
  alt+space         t       toggle boolean value
  alt+'-'           -       subtract 1 from value for integer/color, set value for other types
  alt+'+'           +       add 1 to value for integer/color, append to value for other types
  alt+f, alt+r      r       reset value
  alt+f, alt+u      u       unset value
  alt+enter         s       set value
  alt+f, alt+n      n       set new value
  alt+f, alt+a      a       append to value
  alt+','           ,       mark/unmark option
  shift+up                  move one line up and mark/unmark option
  shift+down                mark/unmark option and move one line down
                    m:xxx   mark options displayed that are matching filter "xxx" (any filter on option or value is allowed, see filters above)
                    u:xxx   unmark options displayed that are matching filter "xxx" (any filter on option or value is allowed, see filters above)

Other keys and input on fset buffer:
  ctrl+L                    refresh options and whole screen (command: /fset -refresh)
                    $       refresh options (keep marked options)
                    $$      refresh options (unmark all options)
  alt+p             p       toggle plugin description options (plugins.desc.*)
  alt+v             v       toggle help bar
                    s:x,y   sort options by fields x,y (see /help fset.look.sort)
                    s:      reset sort to its default value (see /help fset.look.sort)
                    w:xxx   export options in file "xxx"
                    w-:xxx  export options in file "xxx" without help
                    w+:xxx  export options in file "xxx" with help
  ctrl+X            x       switch the format used to display options
                    q       close fset buffer

Mouse actions on fset buffer:
  wheel up/down                   move line up/down
  left button                     move line here
  right button                    toggle boolean (on/off) or edit the option value
  right button + drag left/right  increase/decrease value for integer/color, set/append to value for other types
  right button + drag up/down     mark/unmark multiple options

Note: if input has one or more leading spaces, the following text is interpreted as a filter, without the spaces. For example " q" searches all options with "q" inside name while "q" closes the fset buffer.

Examples:
  show IRC options changed:
    /fset d:irc.*
  show all options with "nicklist" in name:
    /fset nicklist
  show all values which contain "red":
    /fset =red
  show all values which are exactly "red":
    /fset ==red
  show all integer options in irc plugin:
    /fset c:${file} == irc && ${type_en} == integer
----
